de.esprit.netsuite.client.net

## Class RawServerNotificationHandler<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.net.RawServerNotificationHandler<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable, ClientObject<C>, ServerNotificationHandler

      public class RawServerNotificationHandler<C extends ClientContext>
      extends AbstractClientObject<C>
      implements ServerNotificationHandler

  This class provides a default implementation for handling server messages.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawServerNotificationHandler(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(ServerNotificationMessage msg)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawServerNotificationHandler

          public RawServerNotificationHandler(C clientCtx)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(ServerNotificationMessage msg)

      Specified by:
        `handleMessage` in interface `ServerNotificationHandler`

Copyright © 2012 EsprIT-Systems. All Rights Reserved.